Subject: bug#9336: 24.0.50; No way to input character #xbb4 using ta-itrans

From: Jambunathan K <[email-masked]>
Date: Mon, 26 Sep 2011 19:23:09 +0530

> With your patch, the table of the third section (Others)
> doesn't fit in 80-column with my font setting.  So, I
> slightly changed the :align-to property.  Please check the
> attached version (full leim/quail/indian.el) with your
> environment.

Your changes look good with my setup. Feel free to close this bug once
you commit these changes.

> By the way,
>
>> + ta-itrans-1.png
>>   - I have introduced horizontal grid lines
>
>>   - I have added #0BB6 to the table. The character has no input method
>>     available. So the input row is left empty.
>
>>     Note: Furthermore, the associated glyphs are not available. (I have
>>     Tamil Lohit 2.4.5 - Thanks for suggesting this font!). So the tamil
>>     characters in that row looks malformed.
>
> That's strange.  My Tamil Lohit font is Version 2.4.4 (older
> than yours), and it displays the line for #0BB6 correctly.

Do you see heart-shaped strcutures in that line much similar to what you
see in ta-itrans-1.png that I attached earlier? Then it means that the
display is malformed.

If you compare that line with the adjoining ones, then you will see that
the heart-shaped structure is a place-holder for the consonant symbol
and the "redundant" consonant symbol itself has to be removed.

>> [2] Additional hacks to quail.el
>
>> + ta-itrans-3.png
>>   - Removed the old table (about which I had complaints). I don't know
>>     how to do this cleanly. Here is a quick hack I cooked up (marked
>>     with @@@)
>
> The old table (full key sequence) contains the keys that are
> not shown in the above tables; i.e. such alternate keys as
> "aa", "~Na".  Are they really not necessary.

I see. It wasn't clear to me that they were displaying alternative
keys. I think we can maintain status quo.

> And, even if not necessary, the current code doesn't have a
> mechanism to suppress it, and adding such a mechanism should
> not be done now.  I'll put that matter in my todo list.

Ok.

>>   - Place the cursor at the BEGINNING of help buffer rather than the end
>>     of it. There are more interesting things at the beginning of the
>>     buffer than the end of the buffer.
>
>> ,---- In quail.el (around line 2575)
>> |       ;; Resize the help window again, now that it has all its contents.
>> |       (save-selected-window
>> |@@@ 	(goto-char (point-min))
>> |  	(select-window (get-buffer-window (current-buffer) t))
>> | 	(run-hooks 'temp-buffer-show-hook))
>> `----
>
> I don't understand why this is necessary.  Doesn't C-h C-\
> tamil-itrans RET shows the top of *Help* buffer?

I have this in .emacs.

(custom-set-variables
 '(pop-up-windows nil))

With the above setting, cursor always ends up in the tail of the buffer.

If I leave the above variable at it's factory value then the cursor ends
up in the head of the buffer. 

I consider this behaviour buggy. Should I open a separate bug for this?

Jambunathan K.

> ---
> Kenichi Handa
> [email-masked]